summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorPierre Schmitz <pierre@archlinux.de>2010-11-22 14:36:09 +0100
committerPierre Schmitz <pierre@archlinux.de>2010-11-22 14:36:09 +0100
commit53ecffc2f30b2678709105892b60073f7c9c0847 (patch)
treeeecdad797959bb3ed13b093f5f3675330163582d
parent5869af885163b763abb204dff2cc847556fb247b (diff)
downloaddbscripts-53ecffc2f30b2678709105892b60073f7c9c0847.tar.gz
dbscripts-53ecffc2f30b2678709105892b60073f7c9c0847.tar.xz
Add wrappers for repo-add and repo-remove
-rwxr-xr-xdb-remove4
-rwxr-xr-xdb-repo-add40
-rwxr-xr-xdb-repo-remove41
3 files changed, 82 insertions, 3 deletions
diff --git a/db-remove b/db-remove
index 6743eea..b246ce3 100755
--- a/db-remove
+++ b/db-remove
@@ -16,7 +16,7 @@ ftppath="$FTP_BASE/$repo/os"
svnrepo="$repo-$arch"
if ! check_repo_permission $repo; then
- die "You don't have permission to remove packages from ${reponam}"
+ die "You don't have permission to remove packages from ${repo}"
fi
if [ "$arch" == "any" ]; then
@@ -40,8 +40,6 @@ else
die "$pkgbase not found in $svnrepo"
fi
-
-# copy the db file into our working area
for tarch in ${tarches[@]}; do
if [ ! -f "$ftppath/$tarch/$repo$DBEXT" ]; then
die "No database found at '$ftppath/$tarch', nothing more to do"
diff --git a/db-repo-add b/db-repo-add
new file mode 100755
index 0000000..b6dd8b8
--- /dev/null
+++ b/db-repo-add
@@ -0,0 +1,40 @@
+#!/bin/bash
+
+. "$(dirname $0)/db-functions"
+. "$(dirname $0)/config"
+
+if [ $# -ne 3 ]; then
+ msg "usage: $(basename $0) <pkgfile> <repo> <arch>"
+ exit 1
+fi
+
+pkgfile="$1"
+repo="$2"
+arch="$3"
+
+ftppath="$FTP_BASE/$repo/os"
+
+if ! check_repo_permission $repo; then
+ die "You don't have permission to add packages to ${repo}"
+fi
+
+if [ "$arch" == "any" ]; then
+ tarches=(${ARCHES[@]})
+else
+ tarches=("$arch")
+fi
+
+for tarch in ${tarches[@]}; do
+ repo_lock $repo $tarch || exit 1
+done
+
+msg "Adding $pkgfile to [$repo]..."
+
+for tarch in ${tarches[@]}; do
+ if [ ! -f "${pkgfile}" ]; then
+ die "Package file ${pkgfile} not found"
+ fi
+ /usr/bin/repo-add -q "$ftppath/$tarch/$repo$DBEXT" ${pkgfile} >/dev/null
+ set_repo_permission "${repo}" "${tarch}"
+ repo_unlock $repo $tarch
+done
diff --git a/db-repo-remove b/db-repo-remove
new file mode 100755
index 0000000..6fa0e05
--- /dev/null
+++ b/db-repo-remove
@@ -0,0 +1,41 @@
+#!/bin/bash
+
+. "$(dirname $0)/db-functions"
+. "$(dirname $0)/config"
+
+if [ $# -ne 3 ]; then
+ msg "usage: $(basename $0) <pkgname> <repo> <arch>"
+ exit 1
+fi
+
+pkgname="$1"
+repo="$2"
+arch="$3"
+
+ftppath="$FTP_BASE/$repo/os"
+
+if ! check_repo_permission $repo; then
+ die "You don't have permission to remove packages from ${repo}"
+fi
+
+if [ "$arch" == "any" ]; then
+ tarches=(${ARCHES[@]})
+else
+ tarches=("$arch")
+fi
+
+for tarch in ${tarches[@]}; do
+ repo_lock $repo $tarch || exit 1
+done
+
+msg "Removing $pkgname from [$repo]..."
+
+for tarch in ${tarches[@]}; do
+ if [ ! -f "$ftppath/$tarch/$repo$DBEXT" ]; then
+ die "No database found at '$ftppath/$tarch', nothing more to do"
+ fi
+
+ /usr/bin/repo-remove -q "$ftppath/$tarch/$repo$DBEXT" ${pkgname} >/dev/null
+ set_repo_permission "${repo}" "${tarch}"
+ repo_unlock $repo $tarch
+done